List subscription calendar events
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/calendar_events \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/calendar_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/calendar_events"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"title": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"status": "<string>",
"conversation_id": 123,
"conversation_display_id": 123
}
],
"meta": {
"count": 123,
"current_page": 123,
"total_pages": 123
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Calendar Events
List subscription calendar events
List the calendar events about a subscription (calls and visits) in a date range.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
treasury
/
subscriptions
/
{subscription_id}
/
calendar_events
List subscription calendar events
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/calendar_events \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/calendar_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/treasury/subscriptions/{subscription_id}/calendar_events"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"payload": [
{
"id": 123,
"title": "<string>",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"status": "<string>",
"conversation_id": 123,
"conversation_display_id": 123
}
],
"meta": {
"count": 123,
"current_page": 123,
"total_pages": 123
}
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the subscription
The numeric ID of the account
Query Parameters
Start of the range (ISO 8601)
End of the range (ISO 8601)
Page number. Defaults to 1.
Items per page, up to 100. Defaults to 100.
Was this page helpful?